package hw.tagApi.system.mapper;

import java.util.List;
import hw.tagApi.system.domain.SysApiToken;

/**
 * 用户令牌Mapper接口
 * 
 * @author Yinq
 * @date 2025-04-23
 */
public interface SysApiTokenMapper 
{
    /**
     * 查询用户令牌
     * 
     * @param tokenId 用户令牌主键
     * @return 用户令牌
     */
    public SysApiToken selectSysApiTokenByTokenId(Long tokenId);

    /**
     * 查询用户令牌列表
     * 
     * @param sysApiToken 用户令牌
     * @return 用户令牌集合
     */
    public List<SysApiToken> selectSysApiTokenList(SysApiToken sysApiToken);

    /**
     * 新增用户令牌
     * 
     * @param sysApiToken 用户令牌
     * @return 结果
     */
    public int insertSysApiToken(SysApiToken sysApiToken);

    /**
     * 修改用户令牌
     * 
     * @param sysApiToken 用户令牌
     * @return 结果
     */
    public int updateSysApiToken(SysApiToken sysApiToken);

    /**
     * 删除用户令牌
     * 
     * @param tokenId 用户令牌主键
     * @return 结果
     */
    public int deleteSysApiTokenByTokenId(Long tokenId);

    /**
     * 批量删除用户令牌
     * 
     * @param tokenIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteSysApiTokenByTokenIds(Long[] tokenIds);
}
